Bug 25896 - Missing closing `td` tag in smart-rules.tt
Summary: Missing closing `td` tag in smart-rules.tt
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Slava Shishkin
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on: 24159
Blocks:
  Show dependency treegraph
 
Reported: 2020-06-29 19:24 UTC by Andrew Nugged
Modified: 2021-01-05 08:44 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 25896: Add missing closing </td> tag (1.41 KB, patch)
2020-06-29 19:27 UTC, Slava Shishkin
Details | Diff | Splinter Review
Bug 25896: Add missing closing </td> tag (1.46 KB, patch)
2020-07-01 13:12 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 25896: Add missing closing </td> tag (1.56 KB, patch)
2020-07-02 08:58 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Nugged 2020-06-29 19:24:33 UTC
File: koha-tmpl/intranet-tmpl/prog/en/modules/admin/smart-rules.tt with adding of "daysmode" block just have one lost closing </td> tag:

<td>
  [% SWITCH daysmode %]
  ...
<td>

all other <td> tags we have there are closed, yet modern browsers even "fixes" this on the fly so nothing to check visually or to spot any changes, so fix is even have no "browser" test procedure: just go wget/curl and compare generated htmls :)... heh :). Longer describe than fix :)

Slava, please just post a quick fix commit.
Comment 1 Slava Shishkin 2020-06-29 19:27:46 UTC
Created attachment 106420 [details] [review]
Bug 25896: Add missing closing </td> tag

File koha-tmpl/intranet-tmpl/prog/en/modules/admin/smart-rules.tt had
one lost closing </td> tag in "daysmode" block. Added.

Mentored-by: Andrew Nugged <nugged@gmail.com>
Comment 2 Owen Leonard 2020-07-01 13:12:26 UTC
Created attachment 106455 [details] [review]
Bug 25896: Add missing closing </td> tag

File koha-tmpl/intranet-tmpl/prog/en/modules/admin/smart-rules.tt had
one lost closing </td> tag in "daysmode" block. Added.

Mentored-by: Andrew Nugged <nugged@gmail.com>

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Marcel de Rooy 2020-07-02 08:58:24 UTC
Created attachment 106471 [details] [review]
Bug 25896: Add missing closing </td> tag

File koha-tmpl/intranet-tmpl/prog/en/modules/admin/smart-rules.tt had
one lost closing </td> tag in "daysmode" block. Added.

Mentored-by: Andrew Nugged <nugged@gmail.com>

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Jonathan Druart 2020-07-20 12:08:19 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 5 Lucas Gass 2020-07-24 23:11:25 UTC
missing a dependency for 20.05.x, no backport